Subject: bug#13801: [PATCH] Trivial fix for files.el

From: Stephen Berman <[email-masked]>
Date: Sun, 24 Feb 2013 22:45:41 +0100

On Sun, 24 Feb 2013 09:47:44 -0800 "Drew Adams" <[email-masked]> wrote:

>> The first line of the doc string should concisely say what
>> the option does.
>
> Correct.
>
> Including, if possible, what a nil or non-nil value does, if the option is
> Boolean.  And the first line should (must) be a full sentence.
>
>> The old doc string did it, albeit not perfectly;
>
> Incorrect.  The first line did not do that at all.  At all.
>
>> the one you suggest does not.
>
> Correct.  My guess is that it was an attempt to provide a short full sentence
> (good), but it does not say what the option does (not good).
>
> What is important in both the old and new doc strings, and can serve as the
> first line, is that the option does this (77 chars):
>
> "Non-nil means break a hard link for the visited file and write to a new file."

To keep it under 68 characters (as per (elisp) Documentation Tips), how
about:

Non-nil means write visited file to a new file, breaking hard links.

Steve Berman